<div class="keyword-wrapper">
    <input [attr.list]="key" type="text" type="text" [placeholder]="placeholder" (click)="handleFieldClick($event)" (keyup)="showSuggestion($event)"
    (focus)="showSuggestion($event)" [(ngModel)]="value">
    <datalist [attr.id]="key">
        <option *ngFor="let item of filteredList" [value]="item">
    </datalist>
</div>